WESNOTHD(6)

NOM
wesnothd - Serveur pour jeu multijoueur en réseau de Bataille pour Wesnoth

SYNOPSIS
wesnothd [-dv] [-c chemin] [-p port] [-t nombre] [-T nombre]
wesnothd -V

DESCRIPTION
Gère les jeux multijoueurs de Bataille pour Wesnoth. Voir les commandes que que le serveur accepte via le client wesnoth ou via une fifo sur http://www.wesnoth.org/wiki/ServerAdministration.

OPTIONS

-c chemin, --config chemin
    Indique le fichier de configuration à utiliser par wesnothd. Voir la syntaxe ci-dessous dans la section CONFIGURATION DU SERVEUR. Vous pouvez recharger la configuration en envoyant un signal SIGHUP au processus du serveur.

-d, --daemon
    Exécute wesnothd en tant que démon.

-h, --help
    Aide sur les options de la ligne de commande.

--log-niveau=domaine1,domaine2,...
    Définit le niveau d'alerte du débogueur. all permet de suivre tous les niveaux de déboguage. Niveaux disponibles : error, warning,info, debug. Le niveau par utilisé par défaut est error et info est utilisé par le serveur.

-p, port, --port port
    Assigne au le serveur au port spécifié. Valeur par défaut : 15000.

-t, nombre, --threads nombre
    Définit le nombre maximal de threads pour les entrées/sorties réseau à la valeur n (defaut : 5, max : 30).

-T nombre, --max-threads nombre
    Définit le nombre maximal de threads qui seront créés. Si ce nombre est nul, il n'y a pas de limite (defaut : 0).

-V, --version
    Affiche le numéro de version et quitte le programme.

-v, --verbose
    Active une journalisation maximale.

CONFIGURATION DU SERVEUR

  La syntaxe générale est :

[tag]

    clé="valeur"

    clé="valeur,valeur,..."

[/tag]

  Clés globales :

ban_save_file
    Chemin complet ou relatif vers un fichier compressé (au format gzip) que le serveur peut lire et écrire. Les bannissements seront sauvegardés dans ce fichier et relu à chaque démarrage du serveur.

connections_allowed
    Nombre maximum de connexions ayant la même adresse IP. 0 pour infini. (par défaut : 5)

disallow_names
    Noms/surnoms non acceptés par le serveur. Les caractères génériques « * » et « ? » sont acceptés. Voir glob(7) pour plus d'informations. Les valeurs par défaut (utilisées si rien n'est précisé) sont : *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    Chemin de la fifo dans laquelle vous pouvez envoyer des commandes au serveur (comme les /query depuis wesnoth). Si elle n'est pas précisée le chemin est celui prédéfini lors de la compilation (valeur par défaut : /var/run/socket/wesnothd/socket).

max_messages
    Nombre maximum de messages permis en messages_time_period. (par défaut : 4)

messages_time_period
    Période, en secondes, après laquelle un surnombre de messages est détecté. (par défaut : 10 secondes)

motd
    Le message du jour.

passwd
    Mot de passe des habilitations de l'administrateur. Commence souvent par « admin ».

restart_command
    Ligne de commande avec laquelle le serveur relance un processus depuis la commande « restart » (seulement possible depuis la fifo).

versions_accepted
    Liste des versions acceptées par le serveur, séparées par des virgules. Les caractères génériques « * » et « ? » sont acceptés. (par défaut : version correspondant au à celle du serveur)
    Exemple : versions_accepted="*" autorise tout type de version.

  Balises globales :

[redirect] Balise pour permettre au serveur de rediriger certaines versions du client.

    host
        Adresse du serveur de redirection.

    port
        Port de connexion.

    version
        Liste des versions redirigées, séparées par des virgules. Même syntaxe que pour versions_accepted pour les caractères génériques.

[ban_time] Balise pour définir des alias de durée de bannissement.

    name
        Le nom utilisé pour décrire une durée de bannissement.

    time
        Format de durée. Le format est le suivant : %d[%s[%d%s[...]]] où %s est s (secondes), m (minutes), h (heures), D (jours), M (mois) ou Y (années), et %d un nombre. Si le type de durée n'est pas précisée le temps est exprimé en minutes par défaut. Exemple : time="1D12h30m" donne un bannissement de 1 jour, 12 heures et 30 minutes.

[proxy] Balise pour demander au serveur de se comporter comme un proxy et de rediriger les requêtes des clients vers le serveur spécifié. Accepte les mêmes clés que [redirect].

AUTEUR
Écrit par David White <davidnwhite@verizon.net>. Édité par Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> et Soliton <soliton.de@gmail.com>. Ce manuel a été à l'origine écrit par Cyril Bouthors <cyril@bouthors.org>.
Rendez-vous sur la page d'accueil officielle : http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Ceci est un logiciel libre ; ce logiciel est sous la licence GPL version 2, comme définie par la Free Software Foundation. Il n'offre AUCUNE GARANTIE, y compris en ce qui concerne la COMMERCIABILITÉ et la CONFORMITÉ À UNE UTILISATION PARTICULIÈRE.

VOIR AUSSI
wesnoth(6), wesnoth_editor(6)